package com.example.recommend.service;

import com.example.recommend.common.BusinessException;
import com.example.recommend.model.SellerModel;

import java.util.List;

public interface SellerService {
    SellerModel create(SellerModel sellerModel);

    SellerModel get(Integer id);

    List<SellerModel> selectAll();

    SellerModel changeStatus(Integer id, Integer disabledFlag) throws BusinessException;

    Integer countAllSeller();
}
